#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float size;
uniform float blurRadius;
uniform float sampleNum;

float blur(vec2);

void main(void)
{
    float color = blur(v_texCoord);
    
	gl_FragColor.r = 0.0;
	gl_FragColor.g = 0.0;
	gl_FragColor.b = 0.0;
	gl_FragColor.a = min(0.7, 1.0 - color);
}

float blur(vec2 p)
{
    float col = 0.0;
    float unit = 1.0 / 1024.0;
    
    float r = 8.0;
    float sampleStep = r / 7.0;
    
    float count = 0.0;
    
    for(float x = -r; x < r; x += sampleStep)
    {
        for(float y = -r; y < r; y += sampleStep)
        {
            float weight = (r - abs(x)) * (r - abs(y));
            col += texture2D(CC_Texture0, p + vec2(x * unit, y * unit)).r * weight;
            count += weight;
        }
    }
    
    return col / count;
}
